<?php

namespace Fufle\ORM\Database\Connectors;

use Fufle\ORM\Database\Credentials;

class PostgresConnector implements IConnector {
    public function getConnectionString(Credentials $c) {
        return "pgsql:host={$c->host};port={$c->port};dbname={$c->database};user={$c->user};password={$c->password}";
    }
    public function driverEquals(string $driver) {
        return $driver === 'pgsql';
    }
}